X
Tap here to go to the mobile version of the site.

Support Forum

Firefox for Mac 10.3.9

Posted

I need to access a website that requires flash and an updated web browser. I have a Mac 10.3.9. My firefox browser is 2.0.0.17. Is there a later version that will work on a Mac 10.3 machine?

I need to access a website that requires flash and an updated web browser. I have a Mac 10.3.9. My firefox browser is 2.0.0.17. Is there a later version that will work on a Mac 10.3 machine?
the-edmeister
  • Top 10 Contributor
  • Moderator
4080 solutions 30790 answers

Helpful Reply

Firefox 2.0.0.20 is the last ever release for Mac OSX 10.3.9 and earlier versions. Get it here: http://download.mozilla.org/?product=firefox-2.0.0.20&os=osx&lang=en-US

Firefox 2.0.0.20 is the last ever release for Mac OSX 10.3.9 and earlier versions. Get it here: http://download.mozilla.org/?product=firefox-2.0.0.20&os=osx&lang=en-US
James
  • Top 25 Contributor
  • Moderator
720 solutions 5343 answers

Helpful Reply

Unfortunately no as it is due to the OS not being able to supply what is needed since Firefox 3.0 and newer.

Originally it was thought that 10.3.9 could be the minimum but it turned out the minimum was 10.4

Unfortunately no as it is due to the OS not being able to supply what is needed since Firefox 3.0 and newer. Originally it was thought that 10.3.9 could be the minimum but it turned out the minimum was 10.4

Question owner

Thank you all for contributing the answers.

Thank you all for contributing the answers.
cor-el
  • Top 10 Contributor
  • Moderator
12895 solutions 118296 answers
You can give SeaMonkey a try. * SeaMonkey: http://www.seamonkey-project.org/releases/seamonkey1.1.19 * [http://en.wikipedia.org/wiki/ICab iCab]: http://www.icab.de/dl.php